import { Component, Input, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Target } from '@overflow/commons-typescript';

@Component({
  selector: 'of-pages-target-list',
  templateUrl: './target-list-page.component.html',
})
export class TargetListPageComponent implements OnInit {

  @Input() probeID: number;
  pageIdx: number;

  constructor(
    private router: Router,
    private activatedRoute: ActivatedRoute
  ) { }

  ngOnInit() {
    this.activatedRoute.queryParams.subscribe(queryParams => {
      this.pageIdx = Number(queryParams['page']);

      if (this.pageIdx <= 0 || this.pageIdx === undefined || this.pageIdx === null || isNaN(this.pageIdx)) {
        this.pageIdx = 0;
      }
    });
  }

  onPageChange(pageNo: number) {
    this.router.navigate(['/probe', this.probeID, 'target'], { queryParams: { page: pageNo } });
  }

  onTargetSelect(target: Target) {
    // console.log(target);
    // this.router.navigate(['target'], { queryParams: { target: event.data.id } });
    // this.router.navigate(['target', event.data.id, 'info']);

    this.router.navigate(['/target', target.id, 'info']);
  }
}
